<?php
$dateData = get::jsonDateDataExcelProweb();
$date = ($dateData != NULL) ? " (au " . core::convertDate($dateData, FALSE) . ")" : "";

    $jsonTarget = "/json.php?file=salaries-proweb";
    if(debug::isFile("debug")){
        debug::log(debug::getBadge($jsonTarget, "OUVRIR LE JSON : ".$jsonTarget), "JSON chargé en arrière plan");
    } 
?>
<header class="d-flex flex-column flex-md-row align-items-md-center p-3 bg-light ">
    <h2 class="bd-title" id="content">
        <span>Proweb : Liste des salariés<?php echo $date ?></span>
    </h2>
    <?php if(access::ifAccesss("proweb-salaries-upload")){ ?>
    <div class="fix-container-button-nav">
        <a href="proweb-salaries-upload.html"><button type="submit" class="btn btn-outline-success btn-sm"><?php icon::getFont(["icon" => "bi bi-file-earmark-plus"]) ?> Importer un fichier Excel</button></a>
        <a href="https://www.cse-invent.com/gestion/beneficiaire/od/export-etat/124/excel?type=EtatListe_od" target="_blank"><button type="submit" class="btn btn-outline-secondary btn-sm"><?php icon::getFont(["icon" => "bi bi-link-45deg"]) ?> Exporter tous les salariés depuis Proweb</button></a>
    </div>
    <?php } ?>
</header>

<?php
echo core::filAriane(array(
    "current" => "Liste des salariés",
    "arbo" => array(
        "Proweb" => NULL,
        "Liste des salariés" => "proweb-salaries.html"
    )
));
?>
<div>
    <div id="toolbar" style="margin-bottom:10px;">
        <select id="errorFilter" class="form-select">
            <option value="" selected>Aucun filtre</option>
            <option value="errorRHProweb">Filtre : Problème car le compte Proweb est actif alors qu'absent de la base RH</option>
            <option value="errorLoginID">Filtre : Problème car l'identifiant Proweb est différent de l'identifiant RH</option>
            <option value="errorjourSortie">Filtre : Problème sur la date de jour de sortie renseignée alors que présent sur la base RH</option>
            <option value="errorDateNaissance">Filtre : Problème sur la date de naissance</option>
            <option value="errorNom">Filtre : Problème sur nom</option>
            <option value="errorPrenom">Filtre : Problème sur le prénom</option>
            <option value="errorjourEntree">Filtre : Problème sur la date de jour d'entrée qui est différence entre Proweb et la RH</option>
            <option value="errorAbsent">Filtre : Problème car le salarié n'est plus présent et aucune date de sortie sur Proweb</option>
        </select>
    </div>
    <table id="ProWebSalary" class="table-striped table-hover table-sm" data-page-size="25" data-toggle="table" data-buttons-align="left" data-pagination="true" data-filter-control="true" data-flat="true" data-show-columns-toggle-all="true" data-url="<?php echo $jsonTarget ?>">
        <thead>
            <tr>
                <th data-sortable="true" data-field="idProweb" data-filter-control="input" data-formatter="selectFicheProweb" data-width="35">#</th>
                <th data-sortable="true" data-field="loginId" data-filter-control="input">Id Proweb</th>
                <th data-sortable="true" data-field="loginIdRH" data-filter-control="input">Dif. RH</th>
                <th data-sortable="true" data-field="nom" data-filter-control="input">Nom</th>
                <th data-sortable="true" data-field="prenom" data-filter-control="input">Prénom</th>
                <th data-sortable="true" data-field="dateNaissance" data-filter-control="input">Naissance</th>
                <th data-sortable="true" data-field="jourEntree" data-filter-control="input">Entrée Proweb</th>
                <th data-sortable="true" data-field="jourEntreeRH" data-filter-control="input">Entrée RH</th>
                <th data-sortable="true" data-field="jourSortie" data-filter-control="input">Sortie</th>
                <th data-sortable="true" data-field="texteContrat" data-filter-control="select">Contrat</th>
                <th data-sortable="true" data-field="texteActif" data-filter-control="select">Actif</th>
                <th data-sortable="true" data-field="texteRHBase" data-filter-control="select">Base RH</th>
                <th data-sortable="true" data-field="texteError" data-filter-control="select">Erreur</th>
                <th data-sortable="true" data-field="errorJson" data-filter-control="input">Erreur info</th>
            </tr>
        </thead>
    </table>
</div>

<script>

    function selectFicheProweb(value, row) {
        return '<a href="<?php echo FICHE_SALARIE_PROWEB ?>' + row.idProweb + '" target="_blank" class="btn btn-secondary btn-sm" style="width:60px;">' + row.idProweb + '</a>';
    }

    function initFilter(col, data){
        if(data === ""){
            $(".bootstrap-table-filter-control-"+col).val("").change();
        } else {
            $(".bootstrap-table-filter-control-"+col).val('"'+data+'"').change();
        }
        $(".bootstrap-table-filter-control-"+col).trigger('keyup');
    }

    function initAllFilter(){
        initFilter("idProweb", "");
        initFilter("loginId", "");
        initFilter("loginIdRH", "");
        initFilter("nom", "");
        initFilter("prenom", "");
        initFilter("dateNaissance", "");
        initFilter("jourEntree", "");
        initFilter("jourEntreeRH", "");
        initFilter("jourSortie", "");
        initFilter("texteContrat", "");
        initFilter("texteActif", "");
        initFilter("texteRHBase", "");
        initFilter("texteError", "");
        initFilter("errorJson", "");
    }

    $(document).ready(function() {
        $(function() {
        $('#errorFilter').on( "change", function() {

            initAllFilter();

            switch($(this).val()) {
            case "errorRHProweb":
                $(".bootstrap-table-filter-control-texteRHBase").val("Absent").change();
                $(".bootstrap-table-filter-control-texteActif").val("Actif").change();
                break;
            case "errorLoginID":
                initFilter("errorJson", "loginId");
                break;
            case "errorDateNaissance":
                initFilter("errorJson", "dateNaissance");
                break;
            case "errorNom":
                initFilter("errorJson", "nom");
                break;
            case "errorPrenom":
                initFilter("errorJson", "prenom");
                break;
            case "errorjourEntree":
                initFilter("errorJson", "jourEntree");
                break;
            case "errorAbsent":
                initFilter("errorJson", "absent");
                break;
            case "errorjourSortie":
                initFilter("errorJson", "jourSortie");
                break;
            default:
                initAllFilter();
            }
        });
    });

    });

    
</script>